<template lang='pug'>
  .signup
    img.title(src='@/assets/title.svg' alt="みんなで作るフォトアルバム presented by Kohei naoko")
    span.input_title 最初にお名前を登録してください。
    my-text-input.input(
      placeholder='例)こうへい, 平澤, 新郎兄, のんちゃん'
      v-model="formUserName"
      @input="valid"
    )
    .yakusoku
      .yakusoku__head
        img(src="@/assets/yakusoku.svg" width="50" alt="お約束")
      .yakusoku__body
        ul
          li 素敵な写真をお待ちしています！
          li 二人のお手製なので暖かい目でお願いします…
          li 投稿された写真の著作権は新郎新婦に帰属します
    .buttonArea
      my-button(
        type="primary"
        @click='submit(formUserName)'
        :disabled="!isNameFilled"
      )
        img(src="@/assets/btn_text_start.svg" height="16")

</template>

<script>
import Router from 'vue-router'
import firebase, { auth, functions } from 'firebase'
import { mapActions, mapGetters } from 'vuex'
import MyButton from '@/components/atoms/Button'
import MyTextInput from '@/components/atoms/TextInput'

export default {
  name: 'Signup',
  components: {
    MyButton,
    MyTextInput
  },
  props: {},
  data() {
    return {
      formUserName: ''
    }
  },
  computed: {
    ...mapGetters('Auth', {
      userName: 'userName'
    })
  },
  created: function() {
    this.formUserName = this.userName
    this.valid()
  },
  methods: {
    ...mapActions('Auth', {
      submit: 'submit'
    }),
    valid(e) {
      this.isNameFilled = this.formUserName.length ? true : false
    }
  }
}
</script>

<!-- Add 'scoped' attribute to limit CSS to this component only -->
<style lang="stylus" scoped>
.signup
  width 90%
  max-width 420px
  margin 0 auto
  display: flex
  flex-flow: column nowrap
  justify-content: center
  align-items: center
  padding-top 40px
  padding-bottom 40px
  .title
    font-size: $fz-large
    margin-bottom: $margin-l
  .input
    width 100%
    max-width 280px
  .input_title
    color $c-primary
    margin-bottom: $margin-m
  .yakusoku
    margin-top 36px
    .yakusoku__head
      margin-bottom $margin-s
    .yakusoku__body
      color $c-base
      text-align left
      font-size 13px
      line-height 1.6
      ul 
        list-style-type: none
        padding: 0
      li
        &:before
          content: "・"
          color $c-primary
  .buttonArea
    margin-top $margin-xl
    button
      width 280px
</style>